<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>ProgressIterator (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ProgressIterator (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../com/sk89q/worldedit/util/task/progress/Progress.html" title="class in com.sk89q.worldedit.util.task.progress"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../com/sk89q/worldedit/util/task/progress/ProgressObservable.html" title="interface in com.sk89q.worldedit.util.task.progress"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/sk89q/worldedit/util/task/progress/ProgressIterator.html" target="_top">Frames</a></li>
<li><a href="ProgressIterator.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.util.task.progress</div>
<h2 title="Class ProgressIterator" class="title">Class ProgressIterator&lt;V&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.util.task.progress.ProgressIterator&lt;V&gt;</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>V</code> - the type</dd>
</dl>
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../../com/sk89q/worldedit/util/task/progress/ProgressObservable.html" title="interface in com.sk89q.worldedit.util.task.progress">ProgressObservable</a>, java.util.Iterator&lt;V&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">ProgressIterator&lt;V&gt;</span>
extends java.lang.Object
implements java.util.Iterator&lt;V&gt;, <a href="../../../../../../com/sk89q/worldedit/util/task/progress/ProgressObservable.html" title="interface in com.sk89q.worldedit.util.task.progress">ProgressObservable</a></pre>
<div class="block">An iterator that keeps track of how many entries have been visited and
 calculates a "percent completed" using a provided total count.

 <p>The returned progress percentage will always be between 0 or 1
 (inclusive). If the iterator returns more entries than the total count,
 then 100% will be returned for the progress.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static &lt;V&gt;&nbsp;<a href="../../../../../../com/sk89q/worldedit/util/task/progress/ProgressIterator.html" title="class in com.sk89q.worldedit.util.task.progress">ProgressIterator</a>&lt;V&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/util/task/progress/ProgressIterator.html#create-java.util.Iterator-int-">create</a></span>(java.util.Iterator&lt;V&gt;&nbsp;iterator,
      int&nbsp;count)</code>
<div class="block">Create a new instance.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static &lt;V&gt;&nbsp;<a href="../../../../../../com/sk89q/worldedit/util/task/progress/ProgressIterator.html" title="class in com.sk89q.worldedit.util.task.progress">ProgressIterator</a>&lt;V&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/util/task/progress/ProgressIterator.html#create-java.util.List-">create</a></span>(java.util.List&lt;V&gt;&nbsp;list)</code>
<div class="block">Create a new instance from a list.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/sk89q/worldedit/util/task/progress/Progress.html" title="class in com.sk89q.worldedit.util.task.progress">Progress</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/util/task/progress/ProgressIterator.html#getProgress--">getProgress</a></span>()</code>
<div class="block">Get the current percentage of completion.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/util/task/progress/ProgressIterator.html#hasNext--">hasNext</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/sk89q/worldedit/util/task/progress/ProgressIterator.html" title="type parameter in ProgressIterator">V</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/util/task/progress/ProgressIterator.html#next--">next</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/util/task/progress/ProgressIterator.html#remove--">remove</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.util.Iterator">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.util.Iterator</h3>
<code>forEachRemaining</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="hasNext--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasNext</h4>
<pre>public&nbsp;boolean&nbsp;hasNext()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>hasNext</code>&nbsp;in interface&nbsp;<code>java.util.Iterator&lt;<a href="../../../../../../com/sk89q/worldedit/util/task/progress/ProgressIterator.html" title="type parameter in ProgressIterator">V</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="next--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>next</h4>
<pre>public&nbsp;<a href="../../../../../../com/sk89q/worldedit/util/task/progress/ProgressIterator.html" title="type parameter in ProgressIterator">V</a>&nbsp;next()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>next</code>&nbsp;in interface&nbsp;<code>java.util.Iterator&lt;<a href="../../../../../../com/sk89q/worldedit/util/task/progress/ProgressIterator.html" title="type parameter in ProgressIterator">V</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="remove--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>remove</h4>
<pre>public&nbsp;void&nbsp;remove()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>remove</code>&nbsp;in interface&nbsp;<code>java.util.Iterator&lt;<a href="../../../../../../com/sk89q/worldedit/util/task/progress/ProgressIterator.html" title="type parameter in ProgressIterator">V</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="getProgress--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProgress</h4>
<pre>public&nbsp;<a href="../../../../../../com/sk89q/worldedit/util/task/progress/Progress.html" title="class in com.sk89q.worldedit.util.task.progress">Progress</a>&nbsp;getProgress()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../com/sk89q/worldedit/util/task/progress/ProgressObservable.html#getProgress--">ProgressObservable</a></code></span></div>
<div class="block">Get the current percentage of completion.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/util/task/progress/ProgressObservable.html#getProgress--">getProgress</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../com/sk89q/worldedit/util/task/progress/ProgressObservable.html" title="interface in com.sk89q.worldedit.util.task.progress">ProgressObservable</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a progress object</dd>
</dl>
</li>
</ul>
<a name="create-java.util.Iterator-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>create</h4>
<pre>public static&nbsp;&lt;V&gt;&nbsp;<a href="../../../../../../com/sk89q/worldedit/util/task/progress/ProgressIterator.html" title="class in com.sk89q.worldedit.util.task.progress">ProgressIterator</a>&lt;V&gt;&nbsp;create(java.util.Iterator&lt;V&gt;&nbsp;iterator,
                                             int&nbsp;count)</pre>
<div class="block">Create a new instance.</div>
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>V</code> - the type</dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>iterator</code> - the iterator</dd>
<dd><code>count</code> - the number of objects</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an instance</dd>
</dl>
</li>
</ul>
<a name="create-java.util.List-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>create</h4>
<pre>public static&nbsp;&lt;V&gt;&nbsp;<a href="../../../../../../com/sk89q/worldedit/util/task/progress/ProgressIterator.html" title="class in com.sk89q.worldedit.util.task.progress">ProgressIterator</a>&lt;V&gt;&nbsp;create(java.util.List&lt;V&gt;&nbsp;list)</pre>
<div class="block">Create a new instance from a list.</div>
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>V</code> - the type</dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>list</code> - a list</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an instance</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../com/sk89q/worldedit/util/task/progress/Progress.html" title="class in com.sk89q.worldedit.util.task.progress"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../com/sk89q/worldedit/util/task/progress/ProgressObservable.html" title="interface in com.sk89q.worldedit.util.task.progress"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/sk89q/worldedit/util/task/progress/ProgressIterator.html" target="_top">Frames</a></li>
<li><a href="ProgressIterator.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
